Name:          libusbg
Version:       0.1.0
Release:       2%{?dist}
Summary:       Library for USB gadget-configfs userspace functionality

Group:         System Environment/Libraries
License:       LGPLv2+
URL:           https://github.com/libusbg/libusbg
Source0:       https://github.com/libusbg/libusbg/archive/v%{version}.tar.gz

BuildRequires: doxygen
BuildRequires: libtool autoconf automake

%description
libusbg is a C library encapsulating the kernel USB gadget-configfs
userspace API functionality.

It provides routines for creating and parsing USB gadget devices using
the configfs API. Currently, all USB gadget configfs functions that can
be enabled in kernel release 3.11 (Linux for Workgroups!) are supported.

%package utils
Summary: Utilities for USB gadget devices
Group: Applications/System
License: GPLv2+
Requires: %{name}%{?_isa} = %{version}-%{release}

%description utils
Utilities for USB gadget devices

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%setup -q

%build
autoreconf -vif
%configure --disable-static

make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING.LGPL README AUTHORS ChangeLog
%{_libdir}/*.so.*

%files utils
%doc COPYING
%{_bindir}/gadget-acm-ecm
%{_bindir}/show-gadgets

%files devel
%{_includedir}/usbg
%{_libdir}/pkgconfig/libusbg.pc
%{_libdir}/*.so

%changelog
* Mon Mar 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.0-2
- Enable check

* Thu Jan 23 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.0-1
- Initial package
